Subject: Re: Pulling one commit at a time.

From: Sanjiv Gupta <[email-masked]>
Date: Mon, 24 Aug 2009 16:19:34 +0530

David Aguilar wrote:
> On Mon, Aug 24, 2009 at 11:52:07AM +0530, Sanjiv Gupta wrote:
>   
>> Excellent description. Thanks for that. I want to merge commits one by  
>> one because I want to run a regression suite on each commit and  
>> therefore know if any one is causing failures.
>>     
>
> 'git bisect' is your friend.
>
> If your developers are disciplined and test each change as they
> commit it then you're going to have fewer problems.
>
> If they aren't, then make 'em send you patches.  Then you can
> at least 'git am' each one and run the tests at each step,
> including the critical steps where you merge various topics
> together.
>
> I'm not sure what exactly you're trying to accomplish, though.
> I'm just making guesses without you telling us more.
>
> Are you trying to do post-mortem change-that-introduced-bug
> finding (git bisect), commit-time bug prevention
> (patch-based workflows, using git commit hooks to disallow
> commits that fail the tests, etc), or is it something
> completely different?
>
>
> HTH,
>
>   
Thanks everyone for the overwhelming response.
I was looking for post-mortem change-that-introduced-bug.
It's also called "buildbot" in other terms, which sends you an email 
with the details of the "culprit" commit as soon as it introduces a bug.

- Sanjiv

-